import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.github.com/BhavanaGIrni/175363ccdec71c14918216b73d9347a1';
const row = d => {
  d.lat = +d.lat;
  d.lng = +d.lng;
  return d;
};

export const useCities = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
